//
// DotNetNuke - http://www.dotnetnuke.com
// Copyright (c) 2002-2011
// by DotNetNuke Corporation
//
// Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated 
// documentation files (the "Software"), to deal in the Software without restriction, including without limitation 
// the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and 
// to permit persons to whom the Software is furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in all copies or substantial portions 
// of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
// TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
// THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF 
// CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER 
// DEALINGS IN THE SOFTWARE.
//

namespace DotNetNuke.Wrapper.UI.WebControls
{

	public class DnnChartSeriesItem : Telerik.Charting.ChartSeriesItem
	{

		public DnnChartSeriesItem() : base()
		{
		}

		public DnnChartSeriesItem(bool isEmpty) : base(isEmpty)
		{
		}

		public DnnChartSeriesItem(double value) : base(value)
		{
		}

		public DnnChartSeriesItem(double x, double y) : base(x, y)
		{
		}

		public DnnChartSeriesItem(double x, double y, double x2, double y2) : base(x, y, x2, y2)
		{
		}

		public DnnChartSeriesItem(double x, double y, double x2, double y2, double y3, double y4) : base(x, y, x2, y2, y3, y4)
		{
		}

		public DnnChartSeriesItem(double x, double y, Telerik.Charting.Styles.StyleSeriesItem style) : base(x, y, style)
		{
		}

		public DnnChartSeriesItem(double value, string labelText) : base(value, labelText)
		{
		}

		public DnnChartSeriesItem(double value, string label, System.Drawing.Color color) : base(value, label, color)
		{
		}

		public DnnChartSeriesItem(double value, string label, System.Drawing.Color color, bool exploded) : base(value, label, color, exploded)
		{
		}

		public DnnChartSeriesItem(Telerik.Charting.ChartSeries parent) : base(parent)
		{
		}

	}

}
