﻿' DotNetNuke - http://www.dotnetnuke.com
' Copyright (c) 2002-2011
' by DotNetNuke Corporation
'
' Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated 
' documentation files (the "Software"), to deal in the Software without restriction, including without limitation 
' the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and 
' to permit persons to whom the Software is furnished to do so, subject to the following conditions:
'
' The above copyright notice and this permission notice shall be included in all copies or substantial portions 
' of the Software.
'
' THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
' TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
' THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF 
' CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER 
' DEALINGS IN THE SOFTWARE.
'

Namespace DotNetNuke.Wrapper.UI.WebControls

    Public Class DnnChartSeries
        Inherits Telerik.Charting.ChartSeries

        Public Sub New()
            MyBase.New()
        End Sub

        Public Sub New(ByVal name As String)
            MyBase.New(name)
        End Sub

        Public Sub New(ByVal name As String, ByVal type As Telerik.Charting.ChartSeriesType)
            MyBase.New(name, type)
        End Sub

        Public Sub New(ByVal name As String, ByVal type As Telerik.Charting.ChartSeriesType, ByVal parent As Telerik.Charting.ChartSeriesCollection)
            MyBase.New(name, type, parent)
        End Sub

        Public Sub New(ByVal seriesName As String, ByVal chartSeriesType As Telerik.Charting.ChartSeriesType, ByVal parent As Telerik.Charting.ChartSeriesCollection, ByVal yAxisType As Telerik.Charting.ChartYAxisType, ByVal style As Telerik.Charting.Styles.StyleSeries)
            MyBase.New(seriesName, chartSeriesType, parent, yAxisType, style)
        End Sub

        Public Sub New(ByVal seriesName As String, ByVal chartSeriesType As Telerik.Charting.ChartSeriesType, ByVal parent As Telerik.Charting.ChartSeriesCollection, ByVal yAxisType As Telerik.Charting.ChartYAxisType, ByVal style As Telerik.Charting.Styles.StyleSeries, ByVal dataYColumn As String, ByVal dataXColumn As String, ByVal dataYColumn2 As String, ByVal dataXColumn2 As String, ByVal dataYColumn3 As String, ByVal dataYColumn4 As String, ByVal dataLabelsColumn As String)
            MyBase.New(seriesName, chartSeriesType, parent, yAxisType, style, dataYColumn, dataXColumn, dataYColumn2, dataXColumn2, dataYColumn3, dataYColumn4, dataLabelsColumn)
        End Sub

        Public Sub New(ByVal parent As Telerik.Charting.ChartSeriesCollection)
            MyBase.New(parent)
        End Sub

    End Class

End Namespace