﻿'
' DotNetNuke - http://www.dotnetnuke.com
' Copyright (c) 2002-2011
' by DotNetNuke Corporation
'
' Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated 
' documentation files (the "Software"), to deal in the Software without restriction, including without limitation 
' the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and 
' to permit persons to whom the Software is furnished to do so, subject to the following conditions:
'
' The above copyright notice and this permission notice shall be included in all copies or substantial portions 
' of the Software.
'
' THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
' TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
' THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF 
' CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER 
' DEALINGS IN THE SOFTWARE.
'

Namespace DotNetNuke.Wrapper.UI.WebControls

    Public Class DnnChartSeriesItem
        Inherits Telerik.Charting.ChartSeriesItem

        Public Sub New()
            MyBase.New()
        End Sub

        Public Sub New(ByVal isEmpty As Boolean)
            MyBase.New(isEmpty)
        End Sub

        Public Sub New(ByVal value As Double)
            MyBase.New(value)
        End Sub

        Public Sub New(ByVal x As Double, ByVal y As Double)
            MyBase.New(x, y)
        End Sub

        Public Sub New(ByVal x As Double, ByVal y As Double, ByVal x2 As Double, ByVal y2 As Double)
            MyBase.New(x, y, x2, y2)
        End Sub

        Public Sub New(ByVal x As Double, ByVal y As Double, ByVal x2 As Double, ByVal y2 As Double, ByVal y3 As Double, ByVal y4 As Double)
            MyBase.New(x, y, x2, y2, y3, y4)
        End Sub

        Public Sub New(ByVal x As Double, ByVal y As Double, ByVal style As Telerik.Charting.Styles.StyleSeriesItem)
            MyBase.New(x, y, style)
        End Sub

        Public Sub New(ByVal value As Double, ByVal labelText As String)
            MyBase.New(value, labelText)
        End Sub

        Public Sub New(ByVal value As Double, ByVal label As String, ByVal color As System.Drawing.Color)
            MyBase.New(value, label, color)
        End Sub

        Public Sub New(ByVal value As Double, ByVal label As String, ByVal color As System.Drawing.Color, ByVal exploded As Boolean)
            MyBase.New(value, label, color, exploded)
        End Sub

        Public Sub New(ByVal parent As Telerik.Charting.ChartSeries)
            MyBase.New(parent)
        End Sub

    End Class

End Namespace